Package org.bedework.synch.wsmessages

# Class SubscriptionStatusResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.bedework.synch.wsmessages.SubscriptionStatusResponseType

public class SubscriptionStatusResponseType extends BaseResponseType
Response to message requesting unsubscription.

Java class for SubscriptionStatusResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubscriptionStatusResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="subscriptionId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="principalHref" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="direction" type="{http://www.bedework.org/synch/wsmessages}SynchDirectionType"/>
             <element name="master" type="{http://www.bedework.org/synch/wsmessages}SynchMasterType"/>
             <element name="endAConnector" type="{http://www.bedework.org/synch/wsmessages}ConnectorInfoType"/>
             <element name="endBConnector" type="{http://www.bedework.org/synch/wsmessages}ConnectorInfoType"/>
             <element name="lastRefresh" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="errorCt" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="missingTarget" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="info" type="{http://www.bedework.org/synch/wsmessages}ArrayOfSynchProperties"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SynchDirectionType`
  `direction`
  `protected ConnectorInfoType`
  `endAConnector`
  `protected ConnectorInfoType`
  `endBConnector`
  `protected BigInteger`
  `errorCt`
  `protected ArrayOfSynchProperties`
  `info`
  `protected String`
  `lastRefresh`
  `protected SynchMasterType`
  `master`
  `protected boolean`
  `missingTarget`
  `protected String`
  `principalHref`
  `protected String`
  `subscriptionId`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionStatusResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SynchDirectionType`
  `getDirection()`
  Gets the value of the direction property.
  `ConnectorInfoType`
  `getEndAConnector()`
  Gets the value of the endAConnector property.
  `ConnectorInfoType`
  `getEndBConnector()`
  Gets the value of the endBConnector property.
  `BigInteger`
  `getErrorCt()`
  Gets the value of the errorCt property.
  `ArrayOfSynchProperties`
  `getInfo()`
  Gets the value of the info property.
  `String`
  `getLastRefresh()`
  Gets the value of the lastRefresh property.
  `SynchMasterType`
  `getMaster()`
  Gets the value of the master property.
  `String`
  `getPrincipalHref()`
  Gets the value of the principalHref property.
  `String`
  `getSubscriptionId()`
  Gets the value of the subscriptionId property.
  `boolean`
  `isMissingTarget()`
  Gets the value of the missingTarget property.
  `void`
  `setDirection(SynchDirectionType value)`
  Sets the value of the direction property.
  `void`
  `setEndAConnector(ConnectorInfoType value)`
  Sets the value of the endAConnector property.
  `void`
  `setEndBConnector(ConnectorInfoType value)`
  Sets the value of the endBConnector property.
  `void`
  `setErrorCt(BigInteger value)`
  Sets the value of the errorCt property.
  `void`
  `setInfo(ArrayOfSynchProperties value)`
  Sets the value of the info property.
  `void`
  `setLastRefresh(String value)`
  Sets the value of the lastRefresh property.
  `void`
  `setMaster(SynchMasterType value)`
  Sets the value of the master property.
  `void`
  `setMissingTarget(boolean value)`
  Sets the value of the missingTarget property.
  `void`
  `setPrincipalHref(String value)`
  Sets the value of the principalHref property.
  `void`
  `setSubscriptionId(String value)`
  Sets the value of the subscriptionId property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subscriptionId

    protected String subscriptionId

  - ### principalHref

    protected String principalHref

  - ### direction

    protected SynchDirectionType direction

  - ### master

    protected SynchMasterType master

  - ### endAConnector

    protected ConnectorInfoType endAConnector

  - ### endBConnector

    protected ConnectorInfoType endBConnector

  - ### lastRefresh

    protected String lastRefresh

  - ### errorCt

    protected BigInteger errorCt

  - ### missingTarget

    protected boolean missingTarget

  - ### info

    protected ArrayOfSynchProperties info

- ## Constructor Details

  - ### SubscriptionStatusResponseType

    public SubscriptionStatusResponseType()

- ## Method Details

  - ### getSubscriptionId

    public String getSubscriptionId()
    Gets the value of the subscriptionId property.
    Returns:
      possible object is `String`

  - ### setSubscriptionId

    public void setSubscriptionId(String value)
    Sets the value of the subscriptionId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrincipalHref

    public String getPrincipalHref()
    Gets the value of the principalHref property.
    Returns:
      possible object is `String`

  - ### setPrincipalHref

    public void setPrincipalHref(String value)
    Sets the value of the principalHref property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDirection

    public SynchDirectionType getDirection()
    Gets the value of the direction property.
    Returns:
      possible object is `SynchDirectionType`

  - ### setDirection

    public void setDirection(SynchDirectionType value)
    Sets the value of the direction property.
    Parameters:
      `value` - allowed object is `SynchDirectionType`

  - ### getMaster

    public SynchMasterType getMaster()
    Gets the value of the master property.
    Returns:
      possible object is `SynchMasterType`

  - ### setMaster

    public void setMaster(SynchMasterType value)
    Sets the value of the master property.
    Parameters:
      `value` - allowed object is `SynchMasterType`

  - ### getEndAConnector

    public ConnectorInfoType getEndAConnector()
    Gets the value of the endAConnector property.
    Returns:
      possible object is `ConnectorInfoType`

  - ### setEndAConnector

    public void setEndAConnector(ConnectorInfoType value)
    Sets the value of the endAConnector property.
    Parameters:
      `value` - allowed object is `ConnectorInfoType`

  - ### getEndBConnector

    public ConnectorInfoType getEndBConnector()
    Gets the value of the endBConnector property.
    Returns:
      possible object is `ConnectorInfoType`

  - ### setEndBConnector

    public void setEndBConnector(ConnectorInfoType value)
    Sets the value of the endBConnector property.
    Parameters:
      `value` - allowed object is `ConnectorInfoType`

  - ### getLastRefresh

    public String getLastRefresh()
    Gets the value of the lastRefresh property.
    Returns:
      possible object is `String`

  - ### setLastRefresh

    public void setLastRefresh(String value)
    Sets the value of the lastRefresh property.
    Parameters:
      `value` - allowed object is `String`

  - ### getErrorCt

    public BigInteger getErrorCt()
    Gets the value of the errorCt property.
    Returns:
      possible object is `BigInteger`

  - ### setErrorCt

    public void setErrorCt(BigInteger value)
    Sets the value of the errorCt property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### isMissingTarget

    public boolean isMissingTarget()
    Gets the value of the missingTarget property.

  - ### setMissingTarget

    public void setMissingTarget(boolean value)
    Sets the value of the missingTarget property.

  - ### getInfo

    public ArrayOfSynchProperties getInfo()
    Gets the value of the info property.
    Returns:
      possible object is `ArrayOfSynchProperties`

  - ### setInfo

    public void setInfo(ArrayOfSynchProperties value)
    Sets the value of the info property.
    Parameters:
      `value` - allowed object is `ArrayOfSynchProperties`